Subject: [PATCH v2 0/5] fix local clone from a linked checkout

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Sat, 22 Aug 2015 07:39:57 +0700

On Wed, Jul 15, 2015 at 8:25 PM, Duy Nguyen <[email-masked]> wrote:
> On Wed, Jul 15, 2015 at 11:40:18AM +0200, Bjørnar Snoksrud wrote:
>> I reported this before, but now I have a nice topic to hang it on -
>>
>> I have re-reproduced the bug using a build from master as of today,
>> using the new worktree commands.
>
> Something like the following patch should work if you need it now.
>
> Because this may conflict (in the test cases) with Eric's series to
> move "git checkout --to" to "git worktree add", and because the next
> release is already delayed to let "git worktree add" in, I think we
> could keep this patch out of tree for now. I will split it up, add
> tests and resubmit once the release is out. Please remind me if you
> see nothing from me for too long.

Here it is. Mostly the same as the previous patch except that the last
patch is new.

Nguyễn Thái Ngọc Duy (5):
  path.c: delete an extra space
  enter_repo: avoid duplicating logic, use is_git_directory() instead
  enter_repo: allow .git files in strict mode
  clone: allow --local from a linked checkout
  clone: better error when --reference is a linked checkout

 builtin/clone.c         | 13 ++++++++++---
 path.c                  | 14 +++++++++-----
 t/t2025-worktree-add.sh |  5 +++++
 3 files changed, 24 insertions(+), 8 deletions(-)

-- 
2.3.0.rc1.137.g477eb31